Execute faithfulness evaluator
curl --request POST \
--url https://api.traceloop.com/v2/evaluators/faithfulness/execute \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"completion": "The Eiffel Tower is located in Paris and was built in 1889.",
"context": "The Eiffel Tower is a wrought-iron lattice tower on the Champ de Mars in Paris, France. It was constructed from 1887 to 1889.",
"question": "When was the Eiffel Tower built?"
}
}
'import requests
url = "https://api.traceloop.com/v2/evaluators/faithfulness/execute"
payload = { "input": {
"completion": "The Eiffel Tower is located in Paris and was built in 1889.",
"context": "The Eiffel Tower is a wrought-iron lattice tower on the Champ de Mars in Paris, France. It was constructed from 1887 to 1889.",
"question": "When was the Eiffel Tower built?"
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
completion: 'The Eiffel Tower is located in Paris and was built in 1889.',
context: 'The Eiffel Tower is a wrought-iron lattice tower on the Champ de Mars in Paris, France. It was constructed from 1887 to 1889.',
question: 'When was the Eiffel Tower built?'
}
})
};
fetch('https://api.traceloop.com/v2/evaluators/faithfulness/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"is_faithful": true
}{
"error": "error message"
}{
"error": "error message"
}Evaluators
Execute faithfulness evaluator
Check if a completion is faithful to the provided context
Request Body:
input.completion(string, required): The LLM completion to check for faithfulnessinput.context(string, required): The context that the completion should be faithful toinput.question(string, required): The original question asked
POST
/
v2
/
evaluators
/
faithfulness
/
execute
Execute faithfulness evaluator
Was this page helpful?
⌘I

